package kr.co.uplus.ez.api.sysMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class NotiListResDto extends ResponseMessage implements Serializable{

	private NotiListRes data;
	
	public NotiListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}
	
	public NotiListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}
	
	public NotiListResDto(ApiResponseCode returnStr, NotiListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
